Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604556 - numactl has extra characters after %{?dist}
numactl has extra characters after %{?dist}
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: numactl (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Neil Horman
Martin Cermak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 04:35 EDT by Daniel Mach
Modified: 2010-11-11 09:51 EST (History)
5 users (show)

See Also:
Fixed In Version: numactl-2.0.3-8.1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:51:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2010-06-16 04:35:12 EDT
There are extra characters after %{?dist} in package release.

actual NVR:
numactl-2.0.3-8.el6.1

correct NVR:
numactl-2.0.3-8.1.el6
Comment 1 RHEL Product and Program Management 2010-06-16 04:53:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Bill Nottingham 2010-06-17 16:28:06 EDT
That's not going to work, as the new version won't upgrade the old.
Comment 3 Bill Nottingham 2010-06-17 16:38:49 EDT
Never mind comment #2, I always forget where rpm randomly decides not to follow established ordering.
Comment 4 Bill Nottingham 2010-06-17 16:44:56 EDT
Note that this transformation *only* works if the after-dist-tag bit that you're transposing is numeric.
Comment 5 Neil Horman 2010-06-17 20:11:57 EDT
Bill, relax, I just upped the release by one to 9.  I'm not sure why the dist tag was the way it was in the first place.
Comment 6 Dennis Gregorovic 2010-06-17 20:31:54 EDT
It was my fault - the script that I used to bump revisions for automated rebuilds appends a digit to the end.  It needs to be updated to take %{?dist} into account.
Comment 7 Bill Nottingham 2010-06-18 10:24:52 EDT
(In reply to comment #5)
> Bill, relax, I just upped the release by one to 9.  I'm not sure why the dist
> tag was the way it was in the first place.    

No problem... was mainly a response to the proposed fix that's in 30 or so bugs.
Comment 10 Martin Cermak 2010-09-16 04:11:54 EDT
=> VERIFIED
Comment 11 releng-rhel@redhat.com 2010-11-11 09:51:54 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.